Bug 455970 - Firefox 2.0.0.16 repeatedly crashes with gecko bug (5 times 30 mins)
Firefox 2.0.0.16 repeatedly crashes with gecko bug (5 times 30 mins)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-19 10:07 EDT by Richard Jolly
Modified: 2008-12-20 16:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-20 16:29:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x 5 gecko bugreports concatenated together (2.51 MB, text/plain)
2008-07-19 10:07 EDT, Richard Jolly
no flags Details
Debug backtrace from Firefox 2.0.0.16 (14.56 KB, text/plain)
2008-07-26 06:09 EDT, Richard Jolly
no flags Details
Firefox 2.0.0.16 on crash (42.78 KB, text/plain)
2008-07-27 05:43 EDT, Richard Jolly
no flags Details
Another crash! (49.98 KB, text/plain)
2008-08-01 17:50 EDT, Richard Jolly
no flags Details

  None (edit)
Description Richard Jolly 2008-07-19 10:07:22 EDT
Description of problem:

Apologies if this is the wrong section

Firefox for no particular reason crashes and creates gecko-bugreport file. There
normally more than one tab open and I'm accessing a mixture of intranet and
internet sites; normally this happens to me randomly (with no obvious pattern)
at least once a day. Today it has occurred 5 x in half an hour and it is driving
me up the wall!!!

Version-Release number of selected component (if applicable):2.0.0.16

repe
How reproducible:

Difficult - appears to occur randomly


Steps to Reproduce:
1.Open Firefox (my home page is an iGoogle page -that is probably the only
constant among the web pages I access)
2.After different time spans (up 10 mins) firefox crashes - with gecko-bugreport
file generated
3.cry!!!
  
Actual results:


Expected results:


Additional info:

Please find attached concatenated gecko-bugreports
Comment 1 Richard Jolly 2008-07-19 10:07:22 EDT
Created attachment 312204 [details]
x 5 gecko bugreports concatenated together
Comment 2 Richard Jolly 2008-07-20 04:28:43 EDT
Update: It appears that my intranet page to my FreeNAS box often causes the
crash the most, when sending/saving changes through the webgui. Obviously most
of the FreeNAS web pages are php driven.
Comment 3 Matěj Cepl 2008-07-21 18:57:28 EDT
Thanks for the bug report. Unfortunately, the bugreport you send is almost
useless (Mozilla still doesn't provide distribution-specific analysis tool).
Could you please try to collect debugging information in the old-fashioned way,
please?

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Richard Jolly 2008-07-26 06:09:14 EDT
Created attachment 312701 [details]
Debug  backtrace from Firefox 2.0.0.16

occurred 26/07/2008
Comment 5 Richard Jolly 2008-07-26 06:10:13 EDT
Here you go:

Below is the output from rpm command:

nspluginwrapper-0.9.91.5-18.fc8
flash-plugin-9.0.124.0-release
java-1.7.0-icedtea-plugin-1.7.0.0-0.20.b21.snapshot.fc8
audacious-plugins-nonfree-lame-1.3.5-1.lvn8
kipi-plugins-0.1.4-5.fc8
xfce4-minicmd-plugin-0.4-7.fc8
audacious-plugins-nonfree-alac-1.4.4-1.lvn8
gstreamer-plugins-bad-extras-0.10.5-14.lvn8
gstreamer-plugins-good-0.10.6-7.fc8
audacious-plugins-nonfree-tta-1.4.4-1.lvn8
xfce4-netload-plugin-0.4.0-6.fc8
audacious-plugins-wavpack-1.4.4-1.fc8
gstreamer-plugins-base-0.10.15-4.fc8
xfce4-mount-plugin-0.5.1-3.fc8
audacious-plugins-nonfree-wma-1.4.4-1.lvn8
gstreamer-plugins-bad-0.10.5-14.lvn8
libflashsupport-000-0.1.svn20070904
xfce4-quicklauncher-plugin-1.9.4-1.fc8
audacious-plugins-nonfree-mp3-1.4.4-1.lvn8
gutenprint-plugin-5.0.2-1.fc8
setroubleshoot-plugins-2.0.4-4.fc8
gstreamer-plugins-pulse-0.9.5-0.4.svn20070924.fc8
xfce4-mailwatch-plugin-1.0.1-7.fc8
audacious-plugins-vortex-1.4.4-1.fc8
alsa-plugins-pulseaudio-1.0.15-3.fc8.1
audacious-plugins-1.4.4-1.fc8
audacious-plugins-nonfree-mms-1.4.4-1.lvn8
xfce-mcs-plugins-4.4.2-2.fc8
audacious-plugins-nonfree-aac-1.4.4-1.lvn8

Please note this was done on the 23/07/2008

Attached is the debug backtrace from the 26/07/2008 - never ran one before - but
I think this ran OK. Interestingly the bug message came up as I exited the program.

Comment 6 Richard Jolly 2008-07-27 05:43:48 EDT
Created attachment 312725 [details]
Firefox 2.0.0.16 on crash

This was created from when Firefox did crash as opposed to the last attachment
(26/07/08) which created the bug report on exit.
Comment 7 Richard Jolly 2008-08-01 17:50:32 EDT
Created attachment 313232 [details]
Another crash!

x3 tabs open
Comment 8 Martin Stransky 2008-10-24 11:22:54 EDT
Can you please try official firefox binary from mozilla.org? (http://www.mozilla.org/firefox/)
Comment 9 Martin Stransky 2008-10-24 11:23:51 EDT
I mean the latest firefox version - firefox 3.0.3
Comment 10 Matěj Cepl 2008-11-24 06:35:37 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 11 Bug Zapper 2008-11-26 06:01:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Richard Jolly 2008-12-20 16:29:05 EST
No longer experienced problem no longer have FF2 - upgraded to FF3.

Please close.

Thank you

Note You need to log in before you can comment on or make changes to this bug.